/***************************************************************************
**
**    $Header:   D:/EPSLDV1/SRC/LOG/AL.H__   1.6   20 Jun 1996 09:30:26   ZJRD  $
**
**    $Log:   D:/EPSLDV1/SRC/LOG/AL.H__  $
** 
**    Rev 1.6   20 Jun 1996 09:30:26   ZJRD
** EasyPack/SLD Version 1.20a
** 
**    Rev 1.4   10 Jun 1996 10:25:04   ZJRD
** EasyPack/SLD Version 1.20
** 
**    Rev 1.2   29 May 1996 09:37:50   ZJRD
** EasyPack/SLD Version 1.95
** 
****************************************************************************/

/////////////////////////////////////////////////////////////////////////////
// al.h
//
// Roger Zhang
//                                                                           
// 5/2/96
//
/////////////////////////////////////////////////////////////////////////////
#ifndef _AL_
#define _AL_

class ALTool : public CToolOption
{      
// constructor/destructor
public:
    ALTool() { SetDefault(); }
    
// attributes
public:      
    BOOL    m_fCase;
    BOOL    m_fLineDebug;
    BOOL    m_fSymbolDebug;
    CString m_strMore;
    CString m_strPath;

    virtual LPCSTR GetToolName(void) const 
    {
        return "BSO link51 Linker";
    }

// operations
public:
    virtual void SetDefault(void);
    virtual BOOL LoadOption(FILE * fp);
    virtual BOOL SaveOption(FILE * fp);

    CString GetOption(void);

// diagnostic
public:
#ifdef _DEBUG
    virtual void Dump(CDumpContext &dc) const;
#endif      
};

#endif // _AL_
